 function StringBuffer() { 
   this.buffer = []; 
 } 

 StringBuffer.prototype.append = function append(string) { 
   this.buffer.push(string); 
   return this; 
 }; 

 StringBuffer.prototype.toString = function toString() { 
   return this.buffer.join(""); 
 }; 

function geoMFO(number)
{
	geoMFO_AJAX(number);
}

function geoMFO_Simple(number)
{
// To be fully developed after I get a certificate so I can sign my code and make it priviliged, so I can use XMLHttpRequest.
}

function geoMFO_AJAX(number) 
{
  var w = window.open('', 'Map', 'width=616, height=616, toolbar=no, menubar=no, directories=no, personalbar=no, status=no, location=no, scrollbars=no, resizable=no, dependent=yes, dialog=yes, minimizable=no');
  var d = w.document;
  
  var htmltext = new StringBuffer();
  
  htmltext.append("<html>");
  htmltext.append("<head>");
  htmltext.append("<script type='text/javascript'src='http://api.maps.yahoo.com/ajaxymap?v=3.0&appid=robertdbrn'></script>");
  
  htmltext.append("<style type='text/css'>#mapContainer {height: 600px; width: 600px;}</style>");
  htmltext.append("</head>");
  
  htmltext.append("<body>");
  htmltext.append("<div id='mapContainer'></div>");
  
  htmltext.append("<script type='text/javascript'>");
  
  // Create a map
  htmltext.append("var map = new YMap(document.getElementById('mapContainer'));");
  
  // Create a point
  var lat = __tailsMFO[number].geolat;
  var lon = __tailsMFO[number].geolon;

  htmltext.append("var myPoint = new YGeoPoint("+lat+","+lon+");");
  
  // Create a marker on the map
  htmltext.append("var marker = new YMarker(myPoint);");
  htmltext.append("marker.addLabel('&nbsp;<img src="+__tailsMFO[number].logo+" />');");
  htmltext.append("marker.addAutoExpand('<p>"+__tailsMFO[number].geolabel+"</p><p>lat: "+__tailsMFO[number].geolat+"<br>lon: "+__tailsMFO[number].geolon+"</p>');");
  htmltext.append("map.addOverlay(marker);");
  htmltext.append("marker.openAutoExpand();");
  
  // Add pan control
  htmltext.append("map.addPanControl();");
  
  // Add slider zoom control
  htmltext.append("map.addZoomLong();");
  
  // Display map
  htmltext.append("map.drawZoomAndCenter(myPoint, 6);");
  
  htmltext.append("</script>");
  htmltext.append("</body>");
  htmltext.append("</html>");
  
  d.write(htmltext.toString());
}