var xfolk = {
  className: "xfolk",
  classAttribute: "class",
  classValue:     "xfolkentry",

  xulFile: "chrome://tailsexport/content/microformats/xfolk/xfolk.xul",

  processChildNode: function(node, xfolk) {
    if (isElementOfClass(node, "class", "taggedlink")) {
      xfolk["url"] = fullUrl(node.ownerDocument, node.getAttribute("href"));
      xfolk["name"] = mfo_text(node);
    }
    mfo_setProps(node, xfolk, ["description"]);

    if (node.nodeName.charAt(0) != '#'
        && node.getAttribute("rel")
        && node.getAttribute("rel") == "tag") {

      var tag = new Object();
      tag.name = mfo_text(node);
      tag.url = fullUrl(node.ownerDocument, node.getAttribute("href"));
      if (!xfolk.tags) xfolk.tags = new Array();
      xfolk.tags[xfolk.tags.length] = tag;
    }
  },

  add: function(formatObj) {
    for (var i=0; i<__tailsMFO.length; i++) {
      if (__tailsMFO[i].className == this.className && __tailsMFO[i].url == formatObj.url)
        return false;
    }
    return true;
  },

  populate: function(xfolk, win) {
    var tags = undefined;
    if (xfolk.tags) {
      for (var i=0; i<xfolk.tags.length; i++) {
        if (tags) tags += ", ";
        else tags = "";
        tags += xfolk.tags[i].name;
      }
    }
    setLabelValue(win, "xfolk_tags", tags);
    setButtonValue(win, "xfolk_bookmark", xfolk.name, xfolk.url);
  }
};
